Name:		adns
Version:	1.1
Release:	0.fdr.2.rh90
Epoch:		0
Summary:	Advanced, easy to use, asynchronous-capable DNS client library

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.chiark.greenend.org.uk/~ian/adns/
Source0:	ftp://ftp.chiark.greenend.org.uk/users/ian/adns/adns-1.1.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
adns is a resolver library for C (and C++) programs. In contrast with
the existing interfaces, gethostbyname et al and libresolv, it has the
following features:
 - It is reasonably easy to use for simple programs which just want to
   translate names to addresses, look up MX records, etc.
 - It can be used in an asynchronous, non-blocking, manner. Many
   queries can be handled simultaneously.
 - Responses are decoded automatically into a natural representation
   for a C program - there is no need to deal with DNS packet formats.
 - Sanity checking (eg, name syntax checking, reverse/forward
   correspondence, CNAME pointing to CNAME) is performed automatically.
 - Time-to-live, CNAME and other similar information is returned in an
   easy-to-use form, without getting in the way.
 - There is no global state in the library; resolver state is an opaque
   data structure which the client creates explicitly. A program can have
   several instances of the resolver.
 - Errors are reported to the application in a way that distinguishes
   the various causes of failure properly.
 - Understands conventional resolv.conf, but this can overridden by
   environment variables.
 - Flexibility. For example, the application can tell adns to: ignore
   environment variables (for setuid programs), disable sanity checks eg
   to return arbitrary data, override or ignore resolv.conf in favour of
   supplied configuration, etc.
 - Believed to be correct ! For example, will correctly back off to TCP
   in case of long replies or queries, or to other nameservers if several
   are available. It has sensible handling of bad responses etc.

%package devel
Summary:	Asynchronous-capable DNS client library - development files
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Asynchronous-capable DNS client library - development files.

%package progs
Summary:	Asynchronous-capable DNS client library - utility programs
Group:		Applications/System

%description progs
DNS utility programs: adns also comes with a number of utility
programs for use from the command line and in scripts:
 - adnslogres is a much faster version of Apache's logresolv program,
 - adnsresfilter is a filter which copies its input to its output,
   replacing IP addresses by the corresponding names, without unduly
   delaying the output. For example, you can usefully pipe the output of
   netstat -n, tcpdump -ln, and the like, into it.
 - adnshost is a general-purpose DNS lookup utility which can be used
   easily in from the command line and from shell scripts to do simple
   lookups. In a more advanced mode it can be used as a general-purpose
   DNS helper program for scripting languages which can invoke and
   communicate with subprocesses.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
aclocal
%{__autoconf}
%configure --enable-dynamic
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf libadns.so.1.0 $RPM_BUILD_ROOT%{_libdir}/libadns.so

%clean
rm -fr $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO changelog
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%changelog
* Fri Dec 05 2003 Michel Salim <salimma[AT]users.sourceforge.net> 1.1-0.fdr.2
- adns-devel: Added epoch to Requires
- adns-progs: Removed superfluous dependency on adns
- adns-progs: Changed group to Applications/System

* Mon Oct 27 2003 Michel Salim <salimma[AT]users.sourceforge.net> 1.1-0.fdr.1
- Updated to 1.1.

* Sat Jun 07 2003 Michel Salim <salimma[AT]users.sourceforge.net> 1.0-4
- Based on PLD spec.
